# Hideanswer Package 1.0

This package can generate documents with and without answers from a single file by toggling a switch. However, it can only be used to create documents to be printed on paper.


## System Requirements

+ TeX format: LaTeX
+ Prerequisite package: color and graphicx


## Installation

Move hideanswer.sty file to $TEXMF/tex/latex/hideanswer.


## Usage

### \sethideanswer

After this command, the answer is hidden. Usually, this instruction is used to switch the generation of question and answer sheets, depending on whether or not this instruction is written at the beginning of the document.


### \unsethideanswer

After this command, the answer appears.


### \hideanswer{<text>}

<text> is hidden. In \hideanswer*{<text>}, the hidden and visible parts are reversed.


### environment hideanswerdiv

The written part inside the environment is hidden. It may be used to hide long answers. In hideanswerdiv*, the hidden and visible parts are reversed.


### \smashanswer{<text>}

<text> is hidden and the next sentence is placed as if it were not there. In \smashanswer*{<text>}, the hidden and visible parts are reversed.


### environment smashanswerdiv

The written part inside the environment is hidden and the next sentence is placed as if it were not there. It may be used to hide long answers. In smashanswerdiv*, the hidden and visible parts are reversed.


### \hidegraphics[<includegraphics option>]{<file>}

The graphic is hidden. The options are the same as for \includegraphics since \includegraphics is loaded internally. In \hidegraphics*[<includegraphics option>]{<file>}, the hidden and visible parts are reversed.


### \smashraphics[<includegraphics option>]{<file>}

The graphic is hidden and the next sentence is placed as if it were not there. The options are the same as for \includegraphics since \includegraphics is loaded internally. In \hidegraphics*[<includegraphics option>]{<file>}, the hidden and visible parts are reversed.


### \switchanswer{<text when sethide>}{<text when unsethide>}

Switching between hidden and visible sentences. Since \switchanswer does not remember the length of the sentence, the position of the next sentence moves. In \switchanswer*{<text when unsethide>}{<text when sethide>}, the hidden and visible parts are reversed.


## License

This package released under [the MIT license](https://ctan.org/license/mit).


## Revision History

+ Version 1.0 2022-06-28
    + The first public version.


---

Yukoh KUSAKABE (screen-name) at [metaphysica.info](https://www.metaphysica.info/)