# Hideanswer パッケージ

このパッケージは，スイッチ切り替えによって単一のファイルから答えが書かれている文書と答えが書かれていない文書を生成することができます。ただし，紙に印刷する文書を作成するときにしか使えません。


## 前提条件

+ TeX format: LaTeX
+ Prerequisite package: color and graphicx


## インストール

hideanswer.sty を $TEXMF/tex/latex/hideanswer （TeXが見つけられる場所）に置いてください。


## 使用方法

### \sethideanswer

この命令以降では答えが隠されます。ふつう，文書の最初にこの命令を書くか否かで問題用紙と解答用紙の生成を切り替えるために使います。


### \unsethideanswer

この命令以降では答えが現れます。


### \hideanswer{<text>}

<text> と書かれた部分が隠されます。\hideanswer*{<text>} では，隠されるときと現れるときが逆になります。


### hideanswerdiv 環境

環境の内側に書かれた部分が隠されます。長い答えを隠すために用いるとよいでしょう。
hideanswerdiv* では，隠されるときと現れるときが逆になります。


### \smashanswer{<text>}

<text> と書かれた部分が隠され，それがないかのように次の文が置かれます。\smashanswer*{<text>} では，隠されるときと現れるときが逆になります。


### smashanswerdiv 環境

環境の内側に書かれた部分が隠され，それがないかのように次の文が置かれます。長い答えを隠すために用いるとよいでしょう。
smashanswerdiv* では，隠されるときと現れるときが逆になります。


### \hidegraphics[<includegraphics option>]{<file>}

読み込んだ画像が隠されます。\includegraphics を内部で読み込みますので，オプションは \includegraphics のものと同様です。\hidegraphics*[<includegraphics option>]{<file>} では，隠されるときと現れるときが逆になります。


### \smashraphics[<includegraphics option>]{<file>}

読み込んだ画像が隠され，それがないかのように次の文が置かれます。\includegraphics を内部で読み込みますので，オプションは \includegraphics のものと同様です。\smashraphics*[<includegraphics option>]{<file>} では，隠されるときと現れるときが逆になります。


### \switchanswer{<text when sethide>}{<text when unsethide>}

隠されているときと現れているときで文章を切り替えます。\switchanswer は文章の長さを覚えませんから，次の文の位置が動きます。\switchanswer*{<text when unsethide>}{<text when sethide>} では，隠されるときと現れるときが逆になります。


## ライセンス

このパッケージは[MITライセンス](https://ctan.org/license/mit)のもとで配布しています。


## 更新履歴

+ Version 1.0 2022-06-28
    + The first public version.


---

Yukoh KUSAKABE (screen-name) at [metaphysica.info](https://www.metaphysica.info/)